#
Summary: This will configure the cups deamon to not browse the network. 
Name: zz_cups_nobrowse
Version: 1.0
Release: 5
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v7.3.1
Vendor: Fermilab
Packager: Troy Dawson
requires: cups
%description

By default the cups deamon continually browses the network looking and
checking on printers.  This turns that feature off.  And since the startup script of cupsd runs printconf_backend which turns browsing back on I am turning off cupsd

%files
%post
#
# This modifies /etc/cups/cupsd.conf to turn browsing off
#
cp /etc/cups/cupsd.conf /etc/cups/cupsd.conf.before.fnal
cat /etc/cups/cupsd.conf | sed "s:Browse On:Browse Off:" | sed "s:#Browsing On:Browsing Off:" | sed "s:Browsing On:Browsing Off:" > /etc/cups/cupsd.conf.tmp
echo "#FNAL might have changed the Browsing option" >>/etc/cups/cupsd.conf.tmp
cp -f /etc/cups/cupsd.conf.tmp /etc/cups/cupsd.conf
/sbin/chkconfig --del cups

%postun
if [ "$1" = "0" ] ; then
	mv -f /etc/cups/cupsd.conf.before.fnal /etc/cups/cupsd.conf
	/etc/init.d/cups condrestart
fi

%triggerin -- cups 
cp /etc/cups/cupsd.conf /etc/cups/cupsd.conf.before.fnal.trigger
cat /etc/cups/cupsd.conf | sed "s:Browse On:Browse Off:" | sed "s:#Browsing On:Browsing Off:" | sed "s:Browsing On:Browsing Off:" > /etc/cups/cupsd.conf.tmp
cp -f /etc/cups/cupsd.conf.tmp /etc/cups/cupsd.conf
/sbin/chkconfig --del cups
